=== debian/changelog ===
mbedtls (2.3.0-1ubuntu0.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: Freeing of memory allocated on stack when validating
    a public key with a secp224k1 curve. (LP: #1672686)
    - debian/patches/CVE-2017-2784.patch: fix buffer size calculations in
      library/ecp_curves.c.
    - CVE-2017-2784

 -- James Cowgill <jcowgill@debian.org>  Fri, 17 Mar 2017 09:43:46 +0000

mbedtls (2.3.0-1) unstable; urgency=medium

  * New upstream version.

  * debian/copyright:
    - Update dates and my email address.
  * debian/patches:
    - Refresh 01_config.patch.
    - Drop 02_x32.patch -- applied upstream.
    - Add 02_ssl_time_t.patch. Fixes compile error when including
      mbedtls/ssl.h.

 -- James Cowgill <jcowgill@debian.org>  Tue, 28 Jun 2016 18:11:54 +0100
