=== debian/changelog ===
mbedtls (2.4.0-1) unstable; urgency=medium

  * New upstream version.

  * debian/control:
    - Mark libmbedtls-doc multi-arch foreign.
  * debian/libmbedtls10.symbols:
    - Add new symbols found in 2.4.
  * debian/patches:
    - Drop 02_ssl_time_t.patch - alternate fix applied upstream.
    - Refresh 01_config.patch.

 -- James Cowgill <jcowgill@debian.org>  Tue, 18 Oct 2016 20:16:37 +0100
