=== debian/changelog ===
mbedtls (2.4.2-1ubuntu0.1) zesty-security; urgency=medium

  * SECURITY UPDATE: If optional authentication is configured, allows
    remote attackers to bypass peer authentication via an X.509 certificate
    chain with many intermediates. (LP: #1714640)
    - debian/patches/CVE-2017-14032.patch, backport two upstream patches to
      return and handle a new "fatal error" error code in case of long
      certificate chains.
    - CVE-2017-14032

 -- James Cowgill <jcowgill@debian.org>  Wed, 06 Sep 2017 21:03:02 +0100

mbedtls (2.4.2-1) unstable; urgency=high

  * New upstream version.
    - Fixes CVE-2017-2784 - freeing of memory allocated on the stack when
      validating a public key with a secp224k1 curve. (Closes: #857560)

  * debian/rules:
    - Run testsuite inside faketime to prevent it suddenly failing in the
      future. Thanks Niels Thykier!

 -- James Cowgill <jcowgill@debian.org>  Tue, 14 Mar 2017 10:54:33 +0000
