=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: James Cowgill <jcowgill@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: cmake, debhelper (>= 9)
+Build-Depends: cmake, debhelper (>= 9), faketime
 Build-Depends-Indep: doxygen, graphviz
 Homepage: https://tls.mbed.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mbedtls.git
@@ -103,6 +103,7 @@
 
 Package: libmbedtls-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery, ${misc:Depends}
 Suggests: libmbedtls-dev
