## mbedtls 2.5.1

=== library/CMakeLists.txt ===
--- 
+++ 
@@ -140,15 +140,15 @@
 
 if(USE_SHARED_MBEDTLS_LIBRARY)
     add_library(mbedcrypto SHARED ${src_crypto})
-    set_target_properties(mbedcrypto PROPERTIES VERSION 2.4.2 SOVERSION 0)
+    set_target_properties(mbedcrypto PROPERTIES VERSION 2.5.1 SOVERSION 0)
     target_link_libraries(mbedcrypto ${libs})
 
     add_library(mbedx509 SHARED ${src_x509})
-    set_target_properties(mbedx509 PROPERTIES VERSION 2.4.2 SOVERSION 0)
+    set_target_properties(mbedx509 PROPERTIES VERSION 2.5.1 SOVERSION 0)
     target_link_libraries(mbedx509 ${libs} mbedcrypto)
 
     add_library(mbedtls SHARED ${src_tls})
-    set_target_properties(mbedtls PROPERTIES VERSION 2.4.2 SOVERSION 10)
+    set_target_properties(mbedtls PROPERTIES VERSION 2.5.1 SOVERSION 10)
     target_link_libraries(mbedtls ${libs} mbedx509)
 
     install(TARGETS mbedtls mbedx509 mbedcrypto
