=== debian/changelog ===
mbedtls (2.5.1-1) unstable; urgency=medium

  * New upstream version.

  * debian/control:
    - Bump standards to 4.0.0 (no changes required).
  * debian/patches:
    - Refresh config patch.
    - Add patches to maintain the ABI.
  * debian/rules:
    - Enable static library build. (Closes: #860302)
    - Pass upstream release date to faketime instead of a fixed date.
  * debian/*.symbols:
    - Add new symbols from mbedTLS 2.5.
  * debian/tests:
    - Test static library in autopkgtests.

 -- James Cowgill <jcowgill@debian.org>  Thu, 22 Jun 2017 11:30:56 +0100
