=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mbedtls
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James Cowgill <jcowgill@debian.org>
-Standards-Version: 3.9.8
+Maintainer: James Cowgill <jcowgill@debian.org>
+Standards-Version: 4.0.0
 Build-Depends: cmake, debhelper (>= 9), faketime
 Build-Depends-Indep: doxygen, graphviz
 Homepage: https://tls.mbed.org/
@@ -36,7 +35,7 @@
   - Abstraction layers for ciphers, hashes, public key operations, platform
     abstraction and threading
  .
- This package contains the header files for mbed TLS.
+ This package contains the header files and static libraries for mbed TLS.
 
 Package: libmbedcrypto0
 Architecture: any
