## mbedtls 2.6.0

=== debian/changelog ===
mbedtls (2.6.0-1) unstable; urgency=high

  * New upstream version.
    - Fixes possible authentication bypass if a peer supplies a certificate
      chain with more than 8 intermediates. (Closes: #873557)

  * debian/copyright:
    - Update copyright dates.
    - Use https Format URL.
  * debian/control:
    - Bump standards to 4.1.0 (no changes required).
    - Use debhelper compat 10.
  * debian/libmbedcrypto0.symbols:
    - Add new symbols from 2.6.0.
  * debian/patches:
    - Refresh config patch.
    - Drop all stubs patches - upstream reverted the ABI breakage.

 -- James Cowgill <jcowgill@debian.org>  Tue, 29 Aug 2017 16:09:30 +0100
