=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: James Cowgill <jcowgill@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: cmake, debhelper (>= 9), faketime
+Standards-Version: 4.1.0
+Build-Depends: cmake, debhelper (>= 10), faketime
 Build-Depends-Indep: doxygen, graphviz
 Homepage: https://tls.mbed.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mbedtls.git
