=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 UPSTREAM_DATE = $(shell awk '/^= .* [0-9-]*$$/ { print $$NF; exit }' ChangeLog)
 
 %:
-	dh $@ --parallel --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_clean:
 	rm -rf apidoc
