=== debian/changelog ===
mbedtls (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/02_dhm-Fix-typo-in-RFC-5114-constants.patch:
    - Add patch to fix typo in RFC 5114 constants.

 -- James Cowgill <jcowgill@debian.org>  Thu, 15 Feb 2018 18:32:16 +0000

mbedtls (2.7.0-1) experimental; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-0488. (Closes: #890287)
    - Fixes CVE-2018-0487. (Closes: #890288)
  * Rename libmbedcrypto0 to libmbedcrypto1 due to SONAME bump.

  * debian/compat:
    - Use debhelper compat 11.
  * debian/control:
    - Switch to salsa.debian.org Vcs URLs.
    - Bump standards version to 4.1.3.
    - Drop useless Testsuite field in debian/control.
  * debian/copyright:
    - Update copyright dates.
  * debian/libmbedtls-doc.*:
    - Fix various paths to work with the new documentation location used
      by debhelper 11.
  * debian/patches:
    - Refresh config patch.
  * debian/*.symbols:
    - Add symbols updates for libmbedtls10.
    - Rewrite symbols libmbedcrypto1 symbols file.

 -- James Cowgill <jcowgill@debian.org>  Wed, 14 Feb 2018 09:25:58 +0000
