=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: James Cowgill <jcowgill@debian.org>
-Standards-Version: 4.1.0
-Build-Depends: cmake, debhelper (>= 10), faketime
+Standards-Version: 4.1.3
+Build-Depends: cmake, debhelper (>= 11), faketime
 Build-Depends-Indep: doxygen, graphviz
 Homepage: https://tls.mbed.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mbedtls.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mbedtls.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/debian/mbedtls.git
+Vcs-Browser: https://salsa.debian.org/debian/mbedtls
 
 Package: libmbedtls-dev
 Architecture: any
 Section: libdevel
 Multi-Arch: same
 Depends:
- libmbedcrypto0 (= ${binary:Version}),
+ libmbedcrypto1 (= ${binary:Version}),
  libmbedtls10 (= ${binary:Version}),
  libmbedx509-0 (= ${binary:Version}),
  ${misc:Depends}
@@ -37,7 +36,7 @@
  .
  This package contains the header files and static libraries for mbed TLS.
 
-Package: libmbedcrypto0
+Package: libmbedcrypto1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
